## This script will run the default parameter set through the core gfv2 
## workflows. These should be run prior to checking in any changes to these 
## workflows.

VPU <- vpu_codes <- "01"

# try 15a 17a

source("R/config.R")
source("R/utils.R")

ref <- paste0("cache/reference_", VPU, ".gpkg")
nav <- paste0("cache/nav_", VPU, ".gpkg")
unlink(ref)
unlink(nav)

for(r in rpu_codes$rpuid) {
  unlink(paste0("cache/", r, "_refactor.gpkg"))
}

rmarkdown::render('01_NHD_prep.Rmd', 
                  output_file='temp/01_NHD_prep_test.html')

rmarkdown::render('02_NHD_navigate.Rmd', 
                  output_file='temp/02_NHD_navigate_test.html')

for(rpu_code in rpu_codes$rpuid) {
  # unlink(paste0("cache/", rpu_code, "_aggregate.gpkg"))
  # unlink(paste0("cache/", rpu_code, "_lookup.csv"))
  
  source("R/config.R")
  
  rmarkdown::render("05_hyRefactor_flines.Rmd",
                    output_file = "temp/05_hyRefactor_flines_test.html")
  
  rmarkdown::render("06-1_hyRefactor_cats.Rmd",
                    output_file = "temp/06-1_hyRefactor_cats_test.html")
  
  rmarkdown::render("06-2_aggregate_cats.Rmd",
                    output_file = "temp/06-2_aggregate_cats_test.html")
}

unlink(paste0("cache/GF_", VPU, ".gpkg"))
rmarkdown::render("07-1_merge.Rmd",
                  output_file = "temp/07-1_merge_test.html")

unlink(paste0("cache/ND_", VPU, ".gpkg"))
rmarkdown::render("07-2_NonDend.Rmd",
                  output_file = "temp/07-2_NonDend_test.html")


sb_reference <- "61295190d34e40dd9c06bcd7"
sb_refactor <- "61fbfdced34e622189cb1b0a"
sb_gf <- "60be1502d34e86b9389102cc"

sbtools::authenticate_sb()

sbtools::item_replace_files(sb_reference, nav_gpkg)
sbtools::item_replace_files(sb_refactor, rfc_gpkg)
sbtools::item_replace_files(sb_gf, gf_gpkg)
